import { GraphQLFieldConfigArgumentMap, GraphQLList, GraphQLObjectType } from 'graphql';
import { Context } from '../../runtime';
import { SchemaFragmentFunction } from './metadata-schema-utils';
export declare const nodeDetailsType: GraphQLObjectType;
export declare const nodeDetailsFilter: GraphQLFieldConfigArgumentMap;
export declare const nodeDetailsListType: GraphQLList<GraphQLObjectType<any, any>>;
export interface NodeDetailsListArgs {
    missingNodeNames: string[];
    knownNodeNames: string[];
    depth: number | null;
}
export declare const nodeDetailsListArgs: GraphQLFieldConfigArgumentMap;
export declare const nodeCustomDetailsType: GraphQLObjectType;
export declare const nodeCustomDetailsListType: GraphQLList<GraphQLObjectType<any, any>>;
export declare const resolveNodeDetails: (context: Context, nodeName: string) => any;
export declare const resolveNodeCustomDetails: (context: Context, nodeName: string) => Promise<any>;
export declare const resolveNodeDetailsList: (context: Context, args: NodeDetailsListArgs) => Promise<any[]>;
export declare const resolveNodeCustomDetailsList: (context: Context, args: NodeDetailsListArgs) => Promise<any[]>;
export declare const getNodeDetailsSchemaFragment: SchemaFragmentFunction;
//# sourceMappingURL=node-details-fragment.d.ts.map