"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocationExtension = void 0;
const sageWhMasterData = require("@sage/wh-master-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageWhStockData = require("..");
const joins = {
    referenceJoins: {
        stockCount: {
            site: 'site',
            code: 'stockCount',
        },
        deliveryOrderPivot: {
            site: 'site',
            depositor: 'depositor',
            code: 'deliveryOrderPivot',
        },
    },
};
let LocationExtension = class LocationExtension extends xtrem_core_1.NodeExtension {
};
exports.LocationExtension = LocationExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SKCNUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.StockCount,
    })
], LocationExtension.prototype, "stockCount", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DYNDLONUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.DeliveryOrder,
    })
], LocationExtension.prototype, "deliveryOrderPivot", void 0);
exports.LocationExtension = LocationExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageWhMasterData.nodes.Location,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], LocationExtension);
//# sourceMappingURL=location-extension.js.map