import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, date, integer, decimal, Collection } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class AdministrativeReceipt extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly code: Promise<string>;
    readonly carrierAppointment: Reference<sageWhMasterData.nodes.AppointmentManagement | null>;
    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
    readonly carrierName: Promise<string>;
    readonly carriageReference: Promise<string>;
    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
    readonly dock: Reference<sageWhMasterData.nodes.Location | null>;
    readonly date: Promise<date>;
    readonly time: Promise<string>;
    readonly numberOfLoads: Promise<integer | null>;
    readonly grossWeight: Promise<decimal | null>;
    readonly status: Promise<sageWhProductData.enums.ReceiptStatus>;
    readonly duration: Promise<string>;
    readonly lines: Collection<sageWhStockData.nodes.AdministrativeReceiptLine>;
}
//# sourceMappingURL=administrative-receipt.d.ts.map