"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerialNumber = void 0;
const xtrem_decimal_1 = require("@sage/xtrem-decimal"), typesLib = xtrem_decimal_1;
const sageWhMasterData = require("@sage/wh-master-data");
const sageWhProductData = require("@sage/wh-product-data");
const sageWhSystem = require("@sage/wh-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageWhStockData = require("..");
const joins = {
    referenceJoins: {
        site: {
            code: 'site',
        },
        depositor: {
            site: 'site',
            code: 'depositor',
        },
        product: {
            site: 'site',
            depositor: 'depositor',
            code: 'product',
        },
        directInput: {
            site: 'site',
            depositor: 'depositor',
            code: 'directInput',
        },
        deliveryOrder: {
            site: 'site',
            depositor: 'depositor',
            code: 'deliveryOrder',
        },
        inputAdjustment: {
            site: 'site',
            depositor: 'depositor',
            code: 'inputAdjustment',
        },
        outputAdjustment: {
            site: 'site',
            depositor: 'depositor',
            code: 'outputAdjustment',
        },
        inputMovement: {
            site: 'site',
            depositor: 'depositor',
            directInput: 'directInput',
            directInputLine: 'inputLineNumber',
            code: 'inputMovement',
        },
        outputMovement: {
            site: 'site',
            depositor: 'depositor',
            code: 'outputMovement',
        },
        transfer: {
            site: 'site',
            depositor: 'depositor',
            transferNumber: 'transfer',
            code: 'transferMovement',
        },
        transferMovement: {
            site: 'site',
            depositor: 'depositor',
            transferNumber: 'transfer',
            code: 'transferMovement',
        },
        stockObject: {
            site: 'site',
            code: 'stockObject',
        },
        serialGroup: {
            site: 'site',
            code: 'serialGroup',
        },
        serialParentGroup: {
            site: 'site',
            code: 'serialParentGroup',
        },
    },
};
let SerialNumber = class SerialNumber extends xtrem_core_1.Node {
};
exports.SerialNumber = SerialNumber;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FCY',
        columnType: 'string',
        node: () => sageWhSystem.nodes.Site,
    })
], SerialNumber.prototype, "site", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DEP',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.Depositor,
    })
], SerialNumber.prototype, "depositor", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ITM',
        columnType: 'string',
        node: () => sageWhProductData.nodes.Product,
    })
], SerialNumber.prototype, "product", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRN',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "code", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DBL',
    })
], SerialNumber.prototype, "double", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'LIN',
    })
], SerialNumber.prototype, "occurrence", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'INPNUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.DirectInput,
    })
], SerialNumber.prototype, "directInput", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'INPLINPTR',
    })
], SerialNumber.prototype, "inputLineNumber", void 0);
__decorate([
    xtrem_core_1.decorators.dateProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'INPDAT',
        defaultValue() {
            return xtrem_x3_gateway_1.X3StorageManager.getDateDefaultValue(this);
        },
    })
], SerialNumber.prototype, "receiptDate", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DLONUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.DeliveryOrder,
    })
], SerialNumber.prototype, "deliveryOrder", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DOLPTR',
    })
], SerialNumber.prototype, "deliveryOrderLineNumber", void 0);
__decorate([
    xtrem_core_1.decorators.dateProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'OUTDAT',
        defaultValue() {
            return xtrem_x3_gateway_1.X3StorageManager.getDateDefaultValue(this);
        },
    })
], SerialNumber.prototype, "outputDate", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ADJNUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.AdjustmentMovement,
    })
], SerialNumber.prototype, "inputAdjustment", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'OUTADJNUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.AdjustmentMovement,
    })
], SerialNumber.prototype, "outputAdjustment", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TRM',
    })
], SerialNumber.prototype, "transmittedToL3", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTNUMI',
        columnType: 'string',
        node: () => sageWhStockData.nodes.ReceiptMovement,
    })
], SerialNumber.prototype, "inputMovement", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTNUMO',
        columnType: 'string',
        node: () => sageWhStockData.nodes.OutputMovement,
    })
], SerialNumber.prototype, "outputMovement", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'RPNNUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.TransferMovement,
    })
], SerialNumber.prototype, "transfer", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTNUMT',
        columnType: 'string',
        node: () => sageWhStockData.nodes.TransferMovement,
    })
], SerialNumber.prototype, "transferMovement", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SKONUM',
        columnType: 'string',
        node: () => sageWhStockData.nodes.StockObject,
    })
], SerialNumber.prototype, "stockObject", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'GSNNUM',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.SerialGroup,
    })
], SerialNumber.prototype, "serialGroup", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STL',
    })
], SerialNumber.prototype, "validatedStoringList", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PKO',
    })
], SerialNumber.prototype, "validatedPreparationOrder", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'GSNPARENT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.SerialGroup,
    })
], SerialNumber.prototype, "serialParentGroup", void 0);
__decorate([
    xtrem_core_1.decorators.dateProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'RPNDAT',
        defaultValue() {
            return xtrem_x3_gateway_1.X3StorageManager.getDateDefaultValue(this);
        },
    })
], SerialNumber.prototype, "transferDate", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRNLIB1',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "free1", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRNLIB2',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "free2", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRNLIB3',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "free3", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRNLIB4',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "free4", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRNLIB5',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SerialNumber.prototype, "free5", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ANU',
    })
], SerialNumber.prototype, "voided", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'REP',
    })
], SerialNumber.prototype, "postponed", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
        async getValue() {
            return typesLib.add(typesLib.add(typesLib.add(typesLib.add((await this.code), '|'), (await this.double)), '|'), (await this.occurrence));
        },
        dependsOn: ['code', 'double', 'occurrence'],
    })
], SerialNumber.prototype, "keyCodeForDuplicates", void 0);
exports.SerialNumber = SerialNumber = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'SERIALNBR',
        keyPropertyNames: ['site', 'depositor', 'product', 'code', 'double', 'occurrence'],
        indexes: [
            {
                orderBy: {
                    site: 1,
                    depositor: 1,
                    product: 1,
                    code: 1,
                    double: 1,
                    occurrence: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            joinFallbackProperties: ['code', 'double', 'occurrence'],
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], SerialNumber);
//# sourceMappingURL=serial-number.js.map