import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer, date } from '@sage/xtrem-core';
export declare class SerialTraceability extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly product: Promise<string>;
    readonly serialNumber: Promise<string>;
    readonly double: Promise<integer | null>;
    readonly occurrence: Promise<integer | null>;
    readonly code: Promise<string>;
    readonly operationType: Promise<sageWhProductData.enums.SerialAction>;
    readonly directInputNumber: Promise<string>;
    readonly directInputLineNumber: Promise<integer>;
    readonly receiptDate: Promise<date | null>;
    readonly deliveryOrderNumber: Promise<string>;
    readonly deliveryOrderLineNumber: Promise<integer | null>;
    readonly outputDate: Promise<date | null>;
    readonly inputAdjustmentNumber: Promise<string>;
    readonly outputAdjustmentNumber: Promise<string>;
    readonly inputMovementNumber: Promise<string>;
    readonly outputMovementNumber: Promise<string>;
    readonly replenishmentNumber: Promise<string>;
    readonly transferMovementNumber: Promise<string>;
    readonly stockObjectNumber: Promise<string>;
    readonly originStockObject: Promise<string>;
    readonly serialGroup: Promise<string>;
    readonly parentGroup: Promise<string>;
    readonly replenishmentDate: Promise<date | null>;
    readonly free1: Promise<string>;
    readonly free2: Promise<string>;
    readonly free3: Promise<string>;
    readonly free4: Promise<string>;
    readonly free5: Promise<string>;
}
//# sourceMappingURL=serial-traceability.d.ts.map