import { decimal, Node, Reference } from '@sage/xtrem-core';
import * as x3SystemUtils from '..';
/** 4GL code: ATABDIV */
export declare class SysMiscellaneousTable extends Node {
    /** 4GL code: NUMTAB */
    readonly glossaryId: Reference<x3SystemUtils.nodes.SysMiscellaneousTables>;
    /** 4GL code: CODE */
    readonly code: Promise<string>;
    /** 4GL code: LNGDES */
    readonly description: Promise<string>;
    /** 4GL code: SHODES */
    readonly shortDescription: Promise<string>;
    /** 4GL code: DEFVAL */
    readonly defaultValue: Promise<boolean | null>;
    /** 4GL code: DEPCOD */
    readonly dependency: Reference<SysMiscellaneousTable | null>;
    /** 4GL code: SOC */
    readonly groupOfCompany: Promise<string>;
    /** 4GL code: LEG */
    readonly legislation: Reference<x3SystemUtils.nodes.SysMiscellaneousTable | null>;
    /** 4GL code: ENAFLG */
    readonly activeFlag: Promise<boolean | null>;
    /** 4GL code: A1 */
    readonly alpha1: Promise<string>;
    /** 4GL code: A2 */
    readonly alpha2: Promise<string>;
    /** 4GL code: A3 */
    readonly alpha3: Promise<string>;
    /** 4GL code: A4 */
    readonly alpha4: Promise<string>;
    /** 4GL code: A5 */
    readonly alpha5: Promise<string>;
    /** 4GL code: A6 */
    readonly alpha6: Promise<string>;
    /** 4GL code: A7 */
    readonly alpha7: Promise<string>;
    /** 4GL code: A8 */
    readonly alpha8: Promise<string>;
    /** 4GL code: A9 */
    readonly alpha9: Promise<string>;
    /** 4GL code: A10 */
    readonly alpha10: Promise<string>;
    /** 4GL code: A11 */
    readonly alpha11: Promise<string>;
    /** 4GL code: A12 */
    readonly alpha12: Promise<string>;
    /** 4GL code: A13 */
    readonly alpha13: Promise<string>;
    /** 4GL code: A14 */
    readonly alpha14: Promise<string>;
    /** 4GL code: A15 */
    readonly alpha15: Promise<string>;
    /** 4GL code: N1 */
    readonly numeric1: Promise<decimal>;
    /** 4GL code: N2 */
    readonly numeric2: Promise<decimal>;
    /** 4GL code: N3 */
    readonly numeric3: Promise<decimal>;
    /** 4GL code: N4 */
    readonly numeric4: Promise<decimal>;
    /** 4GL code: N5 */
    readonly numeric5: Promise<decimal>;
    /** 4GL code: N6 */
    readonly numeric6: Promise<decimal>;
    /** 4GL code: N7 */
    readonly numeric7: Promise<decimal>;
    /** 4GL code: N8 */
    readonly numeric8: Promise<decimal>;
    /** 4GL code: N9 */
    readonly numeric9: Promise<decimal>;
    /** 4GL code: N10 */
    readonly numeric10: Promise<decimal>;
    /** 4GL code: N11 */
    readonly numeric11: Promise<decimal>;
    /** 4GL code: N12 */
    readonly numeric12: Promise<decimal>;
    /** 4GL code: N13 */
    readonly numeric13: Promise<decimal>;
    /** 4GL code: N14 */
    readonly numeric14: Promise<decimal>;
    /** 4GL code: N15 */
    readonly numeric15: Promise<decimal>;
}
//# sourceMappingURL=sys-miscellaneous-table.d.ts.map