"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhSite = void 0;
const sageWhSystem = require("@sage/wh-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageWhMasterData = require("..");
const joins = {
    referenceJoins: {
        site: {
            code: 'site',
        },
        inventoryMovementCode: {
            site: 'site',
            code: 'inventoryMovementCode',
        },
        rotationPickingWithoutPrompt: {
            site: 'site',
            code: 'rotationPickingWithoutPrompt',
        },
        pickingVolumeWithoutPrompt: {
            site: 'site',
            code: 'pickingVolumeWithoutPrompt',
        },
        transferPicking: {
            site: 'site',
            code: 'transferPicking',
        },
        transferReserve: {
            site: 'site',
            code: 'transferReserve',
        },
        carriageNoteDstdReport: {
            reportName: 'carriageNoteDstdReport',
        },
        carriageReceiptDstdReport: {
            reportName: 'carriageReceiptDstdReport',
        },
        internationalLanguage: {
            code: 'internationalLanguage',
        },
        crossDockingStore: {
            site: 'site',
            code: 'crossDockingStore',
        },
        transferMovementCode: {
            site: 'site',
            code: 'transferMovementCode',
        },
        workCenter1: {
            site: 'site',
            code: 'workCenter1',
        },
        unitOfMeasure1: {
            code: 'unitOfMeasure1',
        },
        workCenter2: {
            site: 'site',
            code: 'workCenter2',
        },
        unitOfMeasure2: {
            code: 'unitOfMeasure2',
        },
    },
};
let WhSite = class WhSite extends xtrem_core_1.Node {
};
exports.WhSite = WhSite;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FCY',
        columnType: 'string',
        node: () => sageWhSystem.nodes.Site,
    })
], WhSite.prototype, "site", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TRFVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], WhSite.prototype, "transferValidationType", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFOPE',
    })
], WhSite.prototype, "isTransferOperationCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFPIKCTL',
    })
], WhSite.prototype, "isPickControlCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFDPSCTL',
    })
], WhSite.prototype, "isRepositoningControlCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RCPOPE',
    })
], WhSite.prototype, "isReceiptOperationCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ADJOPE',
    })
], WhSite.prototype, "isAdjustementOperationCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ADJCTL',
    })
], WhSite.prototype, "isAdjustementControlCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CSEOPE',
    })
], WhSite.prototype, "isConsumableInputControlCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CSSOPE',
    })
], WhSite.prototype, "isConsumableOutputControlCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSHOPE',
    })
], WhSite.prototype, "isSimplifiedStockCountCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFLST',
    })
], WhSite.prototype, "isPrintTransferListAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFLBL',
    })
], WhSite.prototype, "isPrintTransferLabelAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFPKZPIK',
    })
], WhSite.prototype, "isMonoZoneOriginAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRFPKZDPS',
    })
], WhSite.prototype, "isMonoZoneDestinationAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYOCPMGT',
    })
], WhSite.prototype, "isDockAssignmentAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'HTPITM',
    })
], WhSite.prototype, "isItemBarCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'HTPEAN',
    })
], WhSite.prototype, "isEanBarCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'HTPTRFITM',
    })
], WhSite.prototype, "isTransferProductBarCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'HTPTRFEAN',
    })
], WhSite.prototype, "isTransferEanBarCodeAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'WATFLG',
    })
], WhSite.prototype, "isDripAndDropAllowed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SKPFLG',
    })
], WhSite.prototype, "isPreventiveStockCount", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SKCTER',
    })
], WhSite.prototype, "timeBetweenInterval", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SKCMVT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], WhSite.prototype, "inventoryMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SKCOPE',
    })
], WhSite.prototype, "isOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QATFLGCTL',
    })
], WhSite.prototype, "isDockControlParcels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SNGDEP',
    })
], WhSite.prototype, "isSingleDepositor", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SNGSTY',
    })
], WhSite.prototype, "isSingleStorageType", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STOCHN',
    })
], WhSite.prototype, "isStoreChaining", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ABCCHN',
    })
], WhSite.prototype, "isRotationClassesChaining", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ASGCHN',
    })
], WhSite.prototype, "isChainingAssignmentClasses", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VOLCHN',
    })
], WhSite.prototype, "isChainingVolumeClasses", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLGITMSSO',
    })
], WhSite.prototype, "isPickProdWithoutPrompt", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ABCITMSSO',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.RotationClass,
    })
], WhSite.prototype, "rotationPickingWithoutPrompt", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'VOLITMSSO',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.VolumeClass,
    })
], WhSite.prototype, "pickingVolumeWithoutPrompt", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ABCCRI',
        dataType: () => sageWhMasterData.enums.idealRotationClassDatatype,
    })
], WhSite.prototype, "idealRotationClass", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'VOLCRI',
        dataType: () => sageWhMasterData.enums.idealVolumeTypeDatatype,
    })
], WhSite.prototype, "idealVolumeClass", void 0);
__decorate([
    xtrem_core_1.decorators.decimalProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DAYCAP',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.decimalDatatype,
    })
], WhSite.prototype, "targetCover", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MINTER',
    })
], WhSite.prototype, "minimumDelayBeforeReallocation", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MINACT',
    })
], WhSite.prototype, "minimumActivityBeforeAllocation", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STTPER',
    })
], WhSite.prototype, "calculationPeriod", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PICPIC',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], WhSite.prototype, "transferPicking", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PICRSV',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], WhSite.prototype, "transferReserve", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DRNCRE',
    })
], WhSite.prototype, "isRoundCreation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CRRDFT',
    })
], WhSite.prototype, "isInitializeCarrierAndTransportMode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'GDRSEA',
    })
], WhSite.prototype, "isResearchGenericRound", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DLVEAR',
    })
], WhSite.prototype, "deliveryInAdvance", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DRNHOU',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "roundHour", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'EDIOPE',
    })
], WhSite.prototype, "isEdiOperationCode", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DGGQTYMAX',
    })
], WhSite.prototype, "dcmdLimitQuantity", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DCMDBTEDT',
        columnType: 'string',
        node: () => sageWhSystem.nodes.GenericPrintReport,
    })
], WhSite.prototype, "carriageNoteDstdReport", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DCMDRTEDT',
        columnType: 'string',
        node: () => sageWhSystem.nodes.GenericPrintReport,
    })
], WhSite.prototype, "carriageReceiptDstdReport", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DCMDLAN',
        columnType: 'string',
        node: () => sageWhSystem.nodes.Language,
    })
], WhSite.prototype, "internationalLanguage", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STOCDK',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.Store,
    })
], WhSite.prototype, "crossDockingStore", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'INIWAVFLG',
    })
], WhSite.prototype, "isWaveInitialization", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'INSFLG',
    })
], WhSite.prototype, "isInterSiteRoundManagement", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'EANDVRFLG',
        dataType: () => sageWhMasterData.enums.defaultModeDatatype,
    })
], WhSite.prototype, "eanDefaultMethod", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'UNQEDOFLG',
    })
], WhSite.prototype, "isUnicityCheck", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SKROPE',
    })
], WhSite.prototype, "isSkrOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PIKVALFLG',
    })
], WhSite.prototype, "isPickingValidated", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TRMMVT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], WhSite.prototype, "transferMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OUMGRU',
    })
], WhSite.prototype, "isOutputMouvementGrouping", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRMGRU',
    })
], WhSite.prototype, "isTransfertMouvementGrouping", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'QAYTYPUNI',
        dataType: () => sageWhMasterData.enums.loadUnitTypeDatatype,
    })
], WhSite.prototype, "loadingUnit", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGRST',
    })
], WhSite.prototype, "isReceiptDockCapacity", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGRAU',
    })
], WhSite.prototype, "isAutoQuayOccupation", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGRE1',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "receiptAppointmentOccupationStartTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGRE2',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "receiptAppointmentOccupationEndTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYTERRPR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "receiptAppointmentProvisionalDuration", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYSTARTR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "receiptAppointmentTruckTrackingStatus", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGRCR',
    })
], WhSite.prototype, "isReceiptAppointmentAssignement", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGRLI',
    })
], WhSite.prototype, "isReceiptAppointementDockFreeing", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGEST',
    })
], WhSite.prototype, "isShipmentDockCapacity", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGEX1',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "shipmentAppointmentOccupationStartTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGEX2',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "shipmentAppointmentOccupationEndTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYTEREPR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "shipmentAppointmentProvisionalDuration", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYSTAETR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "shipmentAppointmentTruckTrackingStatus", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYREFETO',
    })
], WhSite.prototype, "isRoundReference", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGECR',
    })
], WhSite.prototype, "isShipmentAppointementAssignment", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGESU',
    })
], WhSite.prototype, "isAutoShipmentAppointementAssignment", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGEMA',
    })
], WhSite.prototype, "isUpdateOnLoading", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYFLGELI',
    })
], WhSite.prototype, "isShipmentAppointementDockFreing", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGAU1',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "otherAppointmentOccupationStartTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TIMFLGAU2',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "otherAppointmentOccupationEndTime", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYTERAPR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "otherAppointmentProvisionalDuration", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QAYSTAATR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "otherAppointmentTruckTrackingStatus", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'LOP1',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.WorkCenter,
    })
], WhSite.prototype, "workCenter1", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'UOM1',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.UnitOfMeasure,
    })
], WhSite.prototype, "unitOfMeasure1", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'LOP2',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.WorkCenter,
    })
], WhSite.prototype, "workCenter2", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'UOM2',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.UnitOfMeasure,
    })
], WhSite.prototype, "unitOfMeasure2", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLGINVSSH',
    })
], WhSite.prototype, "isSimplifiedStockCount", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLGDATINVSSH',
    })
], WhSite.prototype, "isLastStockCountDateUpdate", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FCYSEI',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WhSite.prototype, "siteSei", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.WhSiteAddressingPriorities,
    })
], WhSite.prototype, "addressingPriorities", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.WhSiteIsNoWorkDays,
    })
], WhSite.prototype, "isNoWorkDays", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.WhSiteSupplierBarCodes,
    })
], WhSite.prototype, "supplierBarCodes", void 0);
exports.WhSite = WhSite = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'SITE',
        keyPropertyNames: ['site'],
        indexes: [
            {
                orderBy: {
                    site: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], WhSite);
//# sourceMappingURL=wh-site.js.map