import { GraphApi } from '@sage/wh-stock-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobileViewStockByProductStockObjectDetails extends ui.Page<GraphApi> {
    /**
     * Internal properties
     */
    private _parameters;
    mainSection: ui.containers.Section;
    mainBlock: ui.containers.Block;
    productCode: ui.fields.Text;
    numberOfConsumptionUnit: ui.fields.Numeric;
    numberOfDecimals: ui.fields.Numeric;
    stockObjectCode: ui.fields.Text;
    distinctSerialNumber: ui.fields.Numeric;
    image: ui.fields.Image;
    stockObjectDetails: ui.fields.DetailList;
    /**
     *  Move extracted data to stockObject transient table
     *  @param _stockObjects
     *  @param _aggregatedByStockObjects
     *  @param _parameters
     *  @returns true when stockObject table is not empty
     */
    private _initializeStockObjectDetail;
    /**
     * Update all active blockings reasons messages
     * @param _stockObject
     * @returns
     */
    private _updateBlockingReasons;
    /**
     * get query parameters
     * @returns expected parameters or undefined
     */
    private _getQueryParameters;
    /**
     * Return current parameter before chain another page
     * @return return the current parameters
     */
    private _getCurrentParameters;
    /**
     * get query parameters for localized serial numbers
     * @param _id current OS id
     * @param rowData current row (have same OS id)
     *  @param _parameters global parameters
     * @returns expected parameters or undefined
     */
    private _getSerialsParameters;
    /**
     * Change title page
     * @param _parameters
     */
    private _setTitle;
}
//# sourceMappingURL=mobile-view-stock-by-product-stock-object-details.d.ts.map