import { Application } from '../application';
import { Property } from '../properties';
import { Column } from '../sql/schema';
import { NodeFactory } from './node-factory';
import { PropertyDecorator } from './property';
export declare const defaultCodeLength = 32;
/** @disabled_internal */
export declare class SystemProperties {
    private static readonly publishedSystemProperties;
    private static readonly systemProperties;
    private static readonly idProperties;
    private static readonly idColumns;
    private static readonly updateTickColumns;
    private static readonly syncTickColumns;
    private static readonly syncInfoColumns;
    private static readonly customDataProperties;
    private static readonly customDataColumns;
    private static readonly tenantIdProperties;
    private static readonly tenantIdColumns;
    private static readonly sourceIdProperties;
    private static readonly sourceIdColumns;
    private static readonly sortValueProperties;
    private static readonly sortValueColumns;
    private static readonly updateActionProperties;
    private static readonly updateActionColumns;
    private static readonly constructorProperties;
    private static readonly constructorColumns;
    private static readonly createUserProperties;
    private static readonly updateUserProperties;
    private static readonly vendorProperties;
    private static readonly updateTickProperties;
    private static readonly syncTickProperties;
    private static readonly syncInfoProperties;
    private static readonly etagProperties;
    private static readonly valuesHashProperties;
    private static readonly valuesHashColumns;
    private static readonly attachmentsProperties;
    private static readonly factoryProperties;
    /** @disabled_internal */
    static getSystemProperties(factory: NodeFactory): Property[];
    static getSystemProperty(factory: NodeFactory, name: string): Property | undefined;
    /** @disabled_internal */
    static isSystemOrTechnicalColumn(factory: NodeFactory, columnName: string): boolean;
    private static getProperty;
    private static getColumn;
    /** @disabled_internal */
    static idProperty(factory: NodeFactory): Property;
    /** @disabled_internal */
    static idColumn(factory: NodeFactory): Column;
    /** @disabled_internal */
    static sourceIdProperty(factory: NodeFactory): Property;
    /** @disabled_internal */
    static sourceIdColumn(factory: NodeFactory): Column;
    /** @disabled_internal */
    static tenantIdColumn(factory: NodeFactory): Column;
    static getReferencedFactory(application: Application, referenceDecorator: PropertyDecorator): NodeFactory | null;
    static isReferencedFactory(factory: NodeFactory, referenceFactoryName: string, referenceDecorator: PropertyDecorator): boolean;
    static getInternalSystemProperties(factory: NodeFactory): Property[];
}
export declare const sharedDatabaseComputedColumnNames: readonly string[];
export declare const nonSharedDatabaseComputedColumnNames: readonly string[];
export declare const databaseComputedColumnNames: (isSharedByAllTenants: boolean) => readonly string[];
export declare const orderedSystemColumns: readonly string[];
//# sourceMappingURL=system-properties.d.ts.map