// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/index.d.ts
declare module '@sage/wh-stock-data/index' {
	export * from '@sage/wh-stock-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/index.d.ts
declare module '@sage/wh-stock-data/lib/index' {
	export * as enums from '@sage/wh-stock-data/lib/enums/index';
	export * as interfaces from '@sage/wh-stock-data/lib/interfaces/index';
	export * as nodeExtensions from '@sage/wh-stock-data/lib/node-extensions/index';
	export * as nodes from '@sage/wh-stock-data/lib/nodes/index';
	export * as serviceOptions from '@sage/wh-stock-data/lib/service-options/index';
	export * as sharedFunctions from '@sage/wh-stock-data/lib/shared-functions/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/shared-functions/index.d.ts
declare module '@sage/wh-stock-data/lib/shared-functions/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/service-options/index.d.ts
declare module '@sage/wh-stock-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/wave.d.ts
declare module '@sage/wh-stock-data/lib/nodes/wave' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class Wave extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly waveType: Promise<sageWhProductData.enums.WaveType>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly numberOfDeliveryOrders: Promise<integer | null>;
	    readonly numberOfDeliveryOrdersLines: Promise<integer | null>;
	    readonly numberOfReserveMovements: Promise<integer | null>;
	    readonly numberOfPickingMovements: Promise<integer | null>;
	    readonly numberOfCrossDockingMovements: Promise<integer | null>;
	    readonly numberOfIncompletesLines: Promise<integer | null>;
	    readonly numberOfReplenishmentMovements: Promise<integer | null>;
	    readonly numberOfParcelInState: Promise<integer | null>;
	    readonly numberOfParcelinBulk: Promise<integer | null>;
	    readonly numberOfShippingUnitInstate: Promise<integer | null>;
	    readonly numberOfShippingUnitinBulk: Promise<integer | null>;
	    readonly numberOfPickingOrderForReserve: Promise<integer | null>;
	    readonly numberOfPickingOrderForPicking: Promise<integer | null>;
	    readonly numberOfPickingOrderForMixed: Promise<integer | null>;
	    readonly numberOfTransferOrder: Promise<integer | null>;
	    readonly status: Promise<sageWhProductData.enums.WaveStatus | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly numberOfTransferMovements: Promise<integer | null>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly round: Reference<sageWhStockData.nodes.Round | null>;
	    readonly genericWave: Reference<sageWhMasterData.nodes.GenericWave | null>;
	    readonly workCenter: Reference<sageWhMasterData.nodes.WorkCenter | null>;
	    readonly unit: Reference<sageWhMasterData.nodes.UnitOfMeasure | null>;
	    readonly estimatedLoad: Promise<decimal | null>;
	    readonly isAutoLaunch: Promise<boolean>;
	    readonly isMissionToBlock: Promise<boolean>;
	    readonly missionPriority: Promise<integer | null>;
	    readonly transactionInProgress: Promise<string>;
	}
	//# sourceMappingURL=wave.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/transfer-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/transfer-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class TransferMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly transferNumber: Promise<string>;
	    readonly code: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave | null>;
	    readonly assemblingWave: Reference<sageWhStockData.nodes.AssemblingWave | null>;
	    readonly subWaveNumber: Promise<integer | null>;
	    readonly adjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly containerNumber: Promise<string>;
	    readonly originStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly originAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType | null>;
	    readonly sourceProduct: Reference<sageWhProductData.nodes.Product>;
	    readonly originStockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly originContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly originQuantity: Promise<decimal | null>;
	    readonly originSource: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly numberOfContainer: Promise<decimal | null>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly numberOfConsumptionUnit: Promise<decimal | null>;
	    readonly level: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly status: Promise<sageWhProductData.enums.ReplenishmentMovementType | null>;
	    readonly movementType: Promise<sageWhProductData.enums.MovementType | null>;
	    readonly masterStockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly masterContainerNumber: Promise<string>;
	    readonly masterProduct: Reference<sageWhProductData.nodes.Product | null>;
	    readonly date: Promise<date | null>;
	    readonly time: Promise<string>;
	    readonly homogeneousQuantity: Promise<decimal | null>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly homogeneousContainerCoefficient: Promise<decimal | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly lotNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly reservationNumber: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly sortPreparationOrder: Promise<string>;
	    readonly rowLevel: Promise<string>;
	    readonly travelSequence: Promise<string>;
	    readonly transferObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly transferStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly transferAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly position: Promise<integer | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly validatingUser: Promise<string>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly flowNumber: Promise<integer | null>;
	    readonly pickingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly pickingUser: Promise<string>;
	    readonly pickingDate: Promise<date | null>;
	    readonly pickingTime: Promise<integer | null>;
	    readonly groupingCode: Promise<string>;
	    readonly depositObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly depositStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly depositLocation: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly containerLevels: Collection<sageWhStockData.nodes.TransferMovementContainerLevels>;
	}
	//# sourceMappingURL=transfer-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/transfer-movement-container-levels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/transfer-movement-container-levels' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class TransferMovementContainerLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly transferNumber: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.TransferMovement>;
	    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=transfer-movement-container-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/storing-list.d.ts
declare module '@sage/wh-stock-data/lib/nodes/storing-list' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StoringList extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.StoringListPurchaseOrderStatus>;
	    readonly date: Promise<date>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly directInput: Reference<sageWhStockData.nodes.DirectInput | null>;
	    readonly identifier: Promise<string>;
	    readonly order: Promise<sageWhMasterData.enums.PrintingSequence | null>;
	    readonly validationType: Promise<sageWhMasterData.enums.ValidationType | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly validatingUser: Promise<string>;
	    readonly postingDate: Promise<date | null>;
	    readonly receiptMovements: Collection<sageWhStockData.nodes.ReceiptMovement>;
	}
	//# sourceMappingURL=storing-list.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-object.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-object' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StockObject extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly store: Reference<sageWhMasterData.nodes.Store>;
	    readonly location: Reference<sageWhMasterData.nodes.Location>;
	    readonly storeType: Promise<sageWhMasterData.enums.StoreType>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType>;
	    readonly containerNumber: Promise<string>;
	    readonly directInput: Reference<sageWhStockData.nodes.DirectInput | null>;
	    readonly adjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
	    readonly lotNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly containerCoefficient: Promise<decimal>;
	    readonly numberOfConsumptionUnit: Promise<decimal>;
	    readonly numberOfContainer: Promise<decimal>;
	    readonly numberOfConsumptionUnitInPendingInput: Promise<decimal | null>;
	    readonly numberOfConsumptionUnitInPendingOutput: Promise<decimal | null>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly stockObjectLinkNumber: Promise<string>;
	    readonly fifoDate: Promise<date | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly unStockingAllocationSequence: Promise<integer>;
	    readonly storingDate: Promise<date | null>;
	    readonly storingTime: Promise<integer | null>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousContainerCoefficient: Promise<decimal>;
	    readonly homogeneousQuantity: Promise<decimal>;
	    readonly quantityInContainerCorrespondence: Promise<decimal>;
	    readonly serialNumbers: Collection<sageWhStockData.nodes.SerialNumber>;
	    readonly containerLevels: Collection<sageWhStockData.nodes.StockObjectContainerLevels>;
	}
	//# sourceMappingURL=stock-object.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-object-container-levels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-object-container-levels' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StockObjectContainerLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.StockObject>;
	    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=stock-object-container-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-count.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-count' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StockCount extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly reference: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.InventoryStatus | null>;
	    readonly isCreatedByOneCampaign: Promise<boolean>;
	    readonly stockCountCampaign: Reference<sageWhStockData.nodes.StockCountCampaign | null>;
	    readonly closingDate: Promise<date | null>;
	    readonly stockCountType: Promise<sageWhProductData.enums.InventoryType | null>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly isPendingStockCount: Promise<boolean>;
	    readonly maximumContainerLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly comments: Promise<string>;
	    readonly logFileNumber: Promise<string>;
	    readonly numberOfCounting: Promise<integer | null>;
	    readonly stockCountCreationOrigin: Promise<sageWhProductData.enums.StockCountCreationOrigin | null>;
	}
	//# sourceMappingURL=stock-count.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-count-lines-by-product.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-count-lines-by-product' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StockCountLinesByProduct extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
	    readonly selection: Promise<integer | null>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly status: Promise<sageWhProductData.enums.InventoryLineType | null>;
	    readonly numberOfLocations: Promise<integer | null>;
	}
	//# sourceMappingURL=stock-count-lines-by-product.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-count-lines-by-location.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-count-lines-by-location' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class StockCountLinesByLocation extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
	    readonly selection: Promise<integer | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly status: Promise<sageWhProductData.enums.InventoryLineType | null>;
	    readonly numberOfProducts: Promise<integer | null>;
	}
	//# sourceMappingURL=stock-count-lines-by-location.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/stock-count-campaign.d.ts
declare module '@sage/wh-stock-data/lib/nodes/stock-count-campaign' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer } from '@sage/xtrem-core';
	export class StockCountCampaign extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly reference: Promise<string>;
	    readonly startDate: Promise<date | null>;
	    readonly endDate: Promise<date | null>;
	    readonly status: Promise<sageWhProductData.enums.InventoryStatus | null>;
	    readonly closingDate: Promise<date | null>;
	    readonly numberOfStockCountsInProgress: Promise<integer | null>;
	    readonly numberOfStockCountsClosed: Promise<integer | null>;
	}
	//# sourceMappingURL=stock-count-campaign.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/shipping-unit.d.ts
declare module '@sage/wh-stock-data/lib/nodes/shipping-unit' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ShippingUnit extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor | null>;
	    readonly code: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.ShippingUnitStatus>;
	    readonly shippingUnitType: Reference<sageWhMasterData.nodes.ShippingUnitType>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	    readonly isShippingUnitSingleDeliveryOrder: Promise<boolean>;
	    readonly isShippingUnitSingleCustomer: Promise<boolean>;
	    readonly pickingOrder: Reference<sageWhStockData.nodes.PickingOrder | null>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave | null>;
	    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea | null>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode | null>;
	    readonly palletisationOrder: Reference<sageWhStockData.nodes.AutoPalletizationOrder | null>;
	    readonly shipTo: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly postalCode: Promise<string>;
	    readonly isPostponed: Promise<boolean>;
	    readonly height: Promise<decimal | null>;
	    readonly width: Promise<decimal | null>;
	    readonly depth: Promise<decimal | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly estimatedWeight: Promise<decimal | null>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly parcel: Reference<sageWhStockData.nodes.Parcel | null>;
	    readonly ssccShippingUnitCode: Promise<string>;
	    readonly dockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly dockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly originDockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly originDockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly stockOnDockStatus: Promise<sageWhProductData.enums.Colis | null>;
	    readonly isStockOnDockControl: Promise<boolean>;
	    readonly isWrappedShippingUnit: Promise<boolean>;
	    readonly creationType: Promise<sageWhProductData.enums.SuCreationType | null>;
	    readonly subWaveNumber: Promise<integer | null>;
	    readonly isDispatchableInState: Promise<boolean>;
	    readonly parcels: Collection<sageWhStockData.nodes.Parcel>;
	    readonly companyNames: Collection<sageWhStockData.nodes.ShippingUnitCompanyNames>;
	}
	//# sourceMappingURL=shipping-unit.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/shipping-unit-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/shipping-unit-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ShippingUnitCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.ShippingUnit>;
	    readonly companyName: Promise<string>;
	}
	//# sourceMappingURL=shipping-unit-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/serial-traceability.d.ts
declare module '@sage/wh-stock-data/lib/nodes/serial-traceability' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	export class SerialTraceability extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Promise<string>;
	    readonly serialNumber: Promise<string>;
	    readonly double: Promise<integer | null>;
	    readonly occurrence: Promise<integer | null>;
	    readonly code: Promise<string>;
	    readonly operationType: Promise<sageWhProductData.enums.SerialAction>;
	    readonly directInputNumber: Promise<string>;
	    readonly directInputLineNumber: Promise<integer>;
	    readonly receiptDate: Promise<date | null>;
	    readonly deliveryOrderNumber: Promise<string>;
	    readonly deliveryOrderLineNumber: Promise<integer | null>;
	    readonly outputDate: Promise<date | null>;
	    readonly inputAdjustmentNumber: Promise<string>;
	    readonly outputAdjustmentNumber: Promise<string>;
	    readonly inputMovementNumber: Promise<string>;
	    readonly outputMovementNumber: Promise<string>;
	    readonly replenishmentNumber: Promise<string>;
	    readonly transferMovementNumber: Promise<string>;
	    readonly stockObjectNumber: Promise<string>;
	    readonly originStockObject: Promise<string>;
	    readonly serialGroup: Promise<string>;
	    readonly parentGroup: Promise<string>;
	    readonly replenishmentDate: Promise<date | null>;
	    readonly free1: Promise<string>;
	    readonly free2: Promise<string>;
	    readonly free3: Promise<string>;
	    readonly free4: Promise<string>;
	    readonly free5: Promise<string>;
	}
	//# sourceMappingURL=serial-traceability.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/serial-number.d.ts
declare module '@sage/wh-stock-data/lib/nodes/serial-number' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class SerialNumber extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly code: Promise<string>;
	    readonly double: Promise<integer | null>;
	    readonly occurrence: Promise<integer | null>;
	    readonly directInput: Reference<sageWhStockData.nodes.DirectInput | null>;
	    readonly inputLineNumber: Promise<integer | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	    readonly deliveryOrderLineNumber: Promise<integer | null>;
	    readonly outputDate: Promise<date | null>;
	    readonly inputAdjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
	    readonly outputAdjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
	    readonly transmittedToL3: Promise<integer | null>;
	    readonly inputMovement: Reference<sageWhStockData.nodes.ReceiptMovement | null>;
	    readonly outputMovement: Reference<sageWhStockData.nodes.OutputMovement | null>;
	    readonly transfer: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly transferMovement: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly serialGroup: Reference<sageWhMasterData.nodes.SerialGroup | null>;
	    readonly validatedStoringList: Promise<integer | null>;
	    readonly validatedPreparationOrder: Promise<integer | null>;
	    readonly serialParentGroup: Reference<sageWhMasterData.nodes.SerialGroup | null>;
	    readonly transferDate: Promise<date | null>;
	    readonly free1: Promise<string>;
	    readonly free2: Promise<string>;
	    readonly free3: Promise<string>;
	    readonly free4: Promise<string>;
	    readonly free5: Promise<string>;
	    readonly voided: Promise<integer | null>;
	    readonly postponed: Promise<integer | null>;
	    readonly keyCodeForDuplicates: Promise<string>;
	}
	//# sourceMappingURL=serial-number.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/serial-number-counting-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/serial-number-counting-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class SerialNumberCountingLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount>;
	    readonly counting: Reference<sageWhStockData.nodes.Counting>;
	    readonly lineNumber: Promise<integer>;
	    readonly serialNumber: Promise<string>;
	    readonly double: Promise<integer | null>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly serialGroup: Promise<string>;
	    readonly parentGroup: Promise<string>;
	    readonly free1: Promise<string>;
	    readonly free2: Promise<string>;
	    readonly free3: Promise<string>;
	    readonly free4: Promise<string>;
	    readonly free5: Promise<string>;
	    readonly isNonExistentSerialNumber: Promise<boolean>;
	}
	//# sourceMappingURL=serial-number-counting-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/round.d.ts
declare module '@sage/wh-stock-data/lib/nodes/round' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, decimal, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class Round extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly dockType: Promise<sageWhMasterData.enums.DockManagement>;
	    readonly code: Promise<string>;
	    readonly appointment: Reference<sageWhMasterData.nodes.AppointmentManagement | null>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly duration: Promise<string>;
	    readonly status: Promise<sageWhMasterData.enums.RoundStatus | null>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly carrierName: Promise<string>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly carriageReference: Promise<string>;
	    readonly dockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly dockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly genericRound: Reference<sageWhMasterData.nodes.GenericRound | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly linearMeters: Promise<decimal | null>;
	    readonly numberOfDeliveryOrders: Promise<integer | null>;
	    readonly numberOfLines: Promise<integer | null>;
	    readonly deliveryOrderNumber: Promise<integer | null>;
	    readonly numberOfConsumptionUnit: Promise<integer | null>;
	    readonly numberOfShippingUnits: Promise<integer | null>;
	    readonly transportType: Reference<sageWhMasterData.nodes.TransportType | null>;
	    readonly shipTo: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly isInterSiteRound: Promise<boolean>;
	    readonly destinationSite: Reference<sageWhSystem.nodes.Site | null>;
	    readonly deliveryOrders: Collection<sageWhStockData.nodes.DeliveryOrder>;
	}
	//# sourceMappingURL=round.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/receipt-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/receipt-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ReceiptMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly directInput: Reference<sageWhStockData.nodes.DirectInput>;
	    readonly directInputLine: Reference<sageWhStockData.nodes.DirectInputLine>;
	    readonly code: Promise<string>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly imposedStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly isExclusiveStore: Promise<boolean>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly containerNumber: Promise<string>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly lotNumber: Promise<string>;
	    readonly reservationNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly numberOfContainers: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly quantityInConsumptionUnit: Promise<decimal>;
	    readonly level: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly standardizedQuantity: Promise<decimal>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousContainerCoefficient: Promise<decimal>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly status: Promise<sageWhProductData.enums.InputMovementStatus>;
	    readonly fifoDate: Promise<date>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDte: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly storingList: Reference<sageWhStockData.nodes.StoringList | null>;
	    readonly storingListLineNumber: Promise<integer | null>;
	    readonly movementType: Promise<sageWhProductData.enums.MovementType | null>;
	    readonly containerLevels: Collection<sageWhStockData.nodes.ReceiptMovementContainerLevels>;
	}
	//# sourceMappingURL=receipt-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/receipt-movement-container-levels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/receipt-movement-container-levels' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ReceiptMovementContainerLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly directInput: Promise<string>;
	    readonly directInputLine: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.ReceiptMovement>;
	    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=receipt-movement-container-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/picking-order.d.ts
declare module '@sage/wh-stock-data/lib/nodes/picking-order' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer, decimal, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class PickingOrder extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.StoringListPurchaseOrderStatus | null>;
	    readonly pickingOrderType: Promise<sageWhProductData.enums.PoType | null>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode>;
	    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	    readonly round: Reference<sageWhStockData.nodes.Round | null>;
	    readonly level: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly isPreparationOrderKit: Promise<boolean>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly totalMovements: Promise<integer | null>;
	    readonly totalConsumptionUnit: Promise<decimal | null>;
	    readonly totalWeight: Promise<decimal | null>;
	    readonly totalVolume: Promise<decimal | null>;
	    readonly preparationTime: Promise<decimal | null>;
	    readonly equivalentSurface: Promise<decimal | null>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly numberOfShippingUnits: Promise<integer | null>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave>;
	    readonly subWaveNumber: Promise<integer>;
	    readonly shipTo: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly validatingUser: Promise<string>;
	    readonly outputMovements: Collection<sageWhStockData.nodes.OutputMovement>;
	}
	//# sourceMappingURL=picking-order.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/parcel.d.ts
declare module '@sage/wh-stock-data/lib/nodes/parcel' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class Parcel extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly pickingOrder: Reference<sageWhStockData.nodes.PickingOrder | null>;
	    readonly palletisationOrder: Reference<sageWhStockData.nodes.AutoPalletizationOrder | null>;
	    readonly status: Promise<sageWhProductData.enums.ParcelStatus>;
	    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode | null>;
	    readonly parcelRange: Reference<sageWhMasterData.nodes.RangeOfParcel>;
	    readonly parcelType: Reference<sageWhMasterData.nodes.ParcelType>;
	    readonly height: Promise<decimal | null>;
	    readonly width: Promise<decimal | null>;
	    readonly depth: Promise<decimal | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly estimatedWeight: Promise<decimal | null>;
	    readonly realWeight: Promise<decimal | null>;
	    readonly isDispatchableInState: Promise<boolean>;
	    readonly isPalettizableAsIs: Promise<boolean>;
	    readonly carrierParcelNumber: Promise<string>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly deliveryNote: Reference<sageWhStockData.nodes.DeliveryNote | null>;
	    readonly shippingUnit: Reference<sageWhStockData.nodes.ShippingUnit | null>;
	    readonly isPostponed: Promise<boolean>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly validatingUser: Promise<string>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly pickingOrderSorting: Promise<string>;
	    readonly ssccParcelCode: Promise<string>;
	    readonly dockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly dockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly originDockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly originDockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly stockOnDockStatus: Promise<sageWhProductData.enums.Colis | null>;
	    readonly isStockOnDockControl: Promise<boolean>;
	    readonly pickingOrderType: Promise<sageWhProductData.enums.PoType | null>;
	    readonly shippingUnits: Collection<sageWhStockData.nodes.ShippingUnit>;
	    readonly outputMovements: Collection<sageWhStockData.nodes.OutputMovement>;
	}
	//# sourceMappingURL=parcel.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/output-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/output-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class OutputMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly deliveryLineNumber: Promise<integer>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave>;
	    readonly subWaveNumber: Promise<integer>;
	    readonly pickingOrder: Reference<sageWhStockData.nodes.PickingOrder | null>;
	    readonly pickingOrderSorting: Promise<string>;
	    readonly lineType: Promise<sageWhProductData.enums.DoLineType | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly numberOfContainers: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousContainerCoefficient: Promise<decimal>;
	    readonly numberOfConsumptionUnit: Promise<decimal>;
	    readonly numberOfKit: Promise<decimal | null>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly lotNumber: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.OutputMovementStatus>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly containerNumber: Promise<string>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousQuantity: Promise<decimal>;
	    readonly originContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly sourceQuantity: Promise<decimal>;
	    readonly parcel: Reference<sageWhStockData.nodes.Parcel | null>;
	    readonly shippingUnit: Reference<sageWhStockData.nodes.ShippingUnit | null>;
	    readonly parcelSequence: Promise<integer | null>;
	    readonly deliveryNote: Reference<sageWhStockData.nodes.DeliveryNote | null>;
	    readonly round: Reference<sageWhStockData.nodes.Round | null>;
	    readonly roundSite: Reference<sageWhSystem.nodes.Site | null>;
	    readonly travelSequence: Promise<string>;
	    readonly rowByLevel: Promise<string>;
	    readonly isInTransit: Promise<boolean>;
	    readonly destinationSite: Reference<sageWhSystem.nodes.Site | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly validatingUser: Promise<string>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly groupingCode: Promise<string>;
	    readonly isContractDate: Promise<boolean>;
	    readonly parcels: Collection<sageWhStockData.nodes.Parcel>;
	    readonly containerLevels: Collection<sageWhStockData.nodes.OutputMovementContainerLevels>;
	}
	//# sourceMappingURL=output-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/output-movement-container-levels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/output-movement-container-levels' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class OutputMovementContainerLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.OutputMovement>;
	    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=output-movement-container-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/kit-declaration.d.ts
declare module '@sage/wh-stock-data/lib/nodes/kit-declaration' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class KitDeclaration extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly assemblyOrder: Reference<sageWhStockData.nodes.AssemblingOrder>;
	    readonly assemblyOrderLine: Reference<sageWhStockData.nodes.AssemblingOrderLine>;
	    readonly kit: Reference<sageWhProductData.nodes.Product>;
	    readonly quantity: Promise<decimal | null>;
	    readonly assemblyWave: Reference<sageWhStockData.nodes.AssemblingWave>;
	    readonly status: Promise<sageWhProductData.enums.AssemblyMovementStatus>;
	    readonly type: Promise<sageWhProductData.enums.Type>;
	    readonly postingDate: Promise<date | null>;
	    readonly validatingUser: Promise<string>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	}
	//# sourceMappingURL=kit-declaration.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/index.d.ts
declare module '@sage/wh-stock-data/lib/nodes/index' {
	export * from '@sage/wh-stock-data/lib/nodes/adjustment-movement-finals-and-initials-values';
	export * from '@sage/wh-stock-data/lib/nodes/adjustment-movement';
	export * from '@sage/wh-stock-data/lib/nodes/administrative-receipt-line';
	export * from '@sage/wh-stock-data/lib/nodes/administrative-receipt-movement';
	export * from '@sage/wh-stock-data/lib/nodes/administrative-receipt';
	export * from '@sage/wh-stock-data/lib/nodes/assembling-movement-container-levels';
	export * from '@sage/wh-stock-data/lib/nodes/assembling-movement';
	export * from '@sage/wh-stock-data/lib/nodes/assembling-order-line';
	export * from '@sage/wh-stock-data/lib/nodes/assembling-order';
	export * from '@sage/wh-stock-data/lib/nodes/assembling-wave';
	export * from '@sage/wh-stock-data/lib/nodes/auto-palletization-order';
	export * from '@sage/wh-stock-data/lib/nodes/carriage-note';
	export * from '@sage/wh-stock-data/lib/nodes/carriage-receipt-ship-to-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/carriage-receipt-shipt-to-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/carriage-receipt';
	export * from '@sage/wh-stock-data/lib/nodes/count-line';
	export * from '@sage/wh-stock-data/lib/nodes/counting';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note-bill-to-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note-bill-to-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note-number-of-dispatchable-parcels';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note-ship-to-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note-ship-to-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-note';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order-bill-to-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order-bill-to-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order-line';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order-ship-to-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order-ship-to-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/delivery-order';
	export * from '@sage/wh-stock-data/lib/nodes/direct-input-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/direct-input-line';
	export * from '@sage/wh-stock-data/lib/nodes/direct-input-supplier-names';
	export * from '@sage/wh-stock-data/lib/nodes/direct-input';
	export * from '@sage/wh-stock-data/lib/nodes/expected-input-addresses';
	export * from '@sage/wh-stock-data/lib/nodes/expected-input-line';
	export * from '@sage/wh-stock-data/lib/nodes/expected-input-supplier-names';
	export * from '@sage/wh-stock-data/lib/nodes/expected-input';
	export * from '@sage/wh-stock-data/lib/nodes/kit-declaration';
	export * from '@sage/wh-stock-data/lib/nodes/output-movement-container-levels';
	export * from '@sage/wh-stock-data/lib/nodes/output-movement';
	export * from '@sage/wh-stock-data/lib/nodes/parcel';
	export * from '@sage/wh-stock-data/lib/nodes/picking-order';
	export * from '@sage/wh-stock-data/lib/nodes/receipt-movement-container-levels';
	export * from '@sage/wh-stock-data/lib/nodes/receipt-movement';
	export * from '@sage/wh-stock-data/lib/nodes/round';
	export * from '@sage/wh-stock-data/lib/nodes/serial-number-counting-line';
	export * from '@sage/wh-stock-data/lib/nodes/serial-number';
	export * from '@sage/wh-stock-data/lib/nodes/serial-traceability';
	export * from '@sage/wh-stock-data/lib/nodes/shipping-unit-company-names';
	export * from '@sage/wh-stock-data/lib/nodes/shipping-unit';
	export * from '@sage/wh-stock-data/lib/nodes/stock-count-campaign';
	export * from '@sage/wh-stock-data/lib/nodes/stock-count-lines-by-location';
	export * from '@sage/wh-stock-data/lib/nodes/stock-count-lines-by-product';
	export * from '@sage/wh-stock-data/lib/nodes/stock-count';
	export * from '@sage/wh-stock-data/lib/nodes/stock-object-container-levels';
	export * from '@sage/wh-stock-data/lib/nodes/stock-object';
	export * from '@sage/wh-stock-data/lib/nodes/storing-list';
	export * from '@sage/wh-stock-data/lib/nodes/transfer-movement-container-levels';
	export * from '@sage/wh-stock-data/lib/nodes/transfer-movement';
	export * from '@sage/wh-stock-data/lib/nodes/wave';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/expected-input.d.ts
declare module '@sage/wh-stock-data/lib/nodes/expected-input' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhStructure from '@sage/wh-structure';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ExpectedInput extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly receiptMode: Reference<sageWhProductData.nodes.ReceiptMode>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly referenceNumber: Promise<string>;
	    readonly carrierAppointment: Reference<sageWhMasterData.nodes.AppointmentManagement | null>;
	    readonly appointmentDate: Promise<date>;
	    readonly appointmentTime: Promise<string>;
	    readonly supplier: Reference<sageWhMasterData.nodes.Supplier | null>;
	    readonly postalCode: Promise<string>;
	    readonly countryCode: Reference<sageWhStructure.nodes.Country | null>;
	    readonly countryName: Promise<string>;
	    readonly city: Promise<string>;
	    readonly region: Promise<string>;
	    readonly telephone: Promise<string>;
	    readonly fax: Promise<string>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly carrierName: Promise<string>;
	    readonly carriageReference: Promise<string>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly status: Promise<sageWhProductData.enums.ExpectedInputStatus>;
	    readonly lastReceipt: Reference<sageWhStockData.nodes.AdministrativeReceipt | null>;
	    readonly previousReceipt: Reference<sageWhStockData.nodes.AdministrativeReceipt | null>;
	    readonly transmittedFromL3: Promise<sageWhProductData.enums.TransmissionL3 | null>;
	    readonly isQualityControlManagement: Promise<boolean>;
	    readonly orderNumber: Promise<string>;
	    readonly orderReference: Promise<string>;
	    readonly lines: Collection<sageWhStockData.nodes.ExpectedInputLine>;
	    readonly addresses: Collection<sageWhStockData.nodes.ExpectedInputAddresses>;
	    readonly supplierNames: Collection<sageWhStockData.nodes.ExpectedInputSupplierNames>;
	}
	//# sourceMappingURL=expected-input.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/expected-input-supplier-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/expected-input-supplier-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ExpectedInputSupplierNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.ExpectedInput>;
	    readonly supplierName: Promise<string>;
	}
	//# sourceMappingURL=expected-input-supplier-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/expected-input-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/expected-input-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ExpectedInputLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly expectedInput: Reference<sageWhStockData.nodes.ExpectedInput>;
	    readonly lineNumber: Promise<integer>;
	    readonly referenceNumber: Promise<string>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly inputContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly supportNumber: Promise<string>;
	    readonly reservationNumber: Promise<string>;
	    readonly lotNumber: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly isExclusiveStore: Promise<boolean>;
	    readonly multipleProducts: Promise<string>;
	    readonly isCustomerReturn: Promise<boolean>;
	    readonly receiptDate: Promise<date>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly status: Promise<sageWhProductData.enums.ExpectedInputLineStatus>;
	    readonly expectedQuantityInConsumptionUnit: Promise<decimal>;
	    readonly remainingQuantityInConsumptionUnit: Promise<decimal | null>;
	    readonly receivedQuantityInConsumptionUnit: Promise<decimal | null>;
	    readonly disputedQuantityinConsumptionUnit: Promise<decimal | null>;
	}
	//# sourceMappingURL=expected-input-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/expected-input-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/expected-input-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ExpectedInputAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.ExpectedInput>;
	    readonly address: Promise<string>;
	}
	//# sourceMappingURL=expected-input-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/direct-input.d.ts
declare module '@sage/wh-stock-data/lib/nodes/direct-input' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhStructure from '@sage/wh-structure';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DirectInput extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly referenceNumber: Promise<string>;
	    readonly date: Promise<date>;
	    readonly supplier: Reference<sageWhMasterData.nodes.Supplier | null>;
	    readonly postalCode: Promise<string>;
	    readonly country: Reference<sageWhStructure.nodes.Country | null>;
	    readonly countryName: Promise<string>;
	    readonly city: Promise<string>;
	    readonly region: Promise<string>;
	    readonly telephone: Promise<string>;
	    readonly fax: Promise<string>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly carrierName: Promise<string>;
	    readonly carriageReference: Promise<string>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly status: Promise<sageWhProductData.enums.InputHeaderStatus>;
	    readonly expectedInputNumber: Promise<string>;
	    readonly receipt: Reference<sageWhStockData.nodes.AdministrativeReceipt | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly transmittedFromL3: Promise<sageWhProductData.enums.TransmissionL3 | null>;
	    readonly isControlled: Promise<boolean>;
	    readonly isCrossDocking: Promise<boolean>;
	    readonly lines: Collection<sageWhStockData.nodes.DirectInputLine>;
	    readonly addresses: Collection<sageWhStockData.nodes.DirectInputAddresses>;
	    readonly supplierNames: Collection<sageWhStockData.nodes.DirectInputSupplierNames>;
	}
	//# sourceMappingURL=direct-input.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/direct-input-supplier-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/direct-input-supplier-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DirectInputSupplierNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DirectInput>;
	    readonly supplierName: Promise<string>;
	}
	//# sourceMappingURL=direct-input-supplier-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/direct-input-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/direct-input-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DirectInputLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly directInput: Reference<sageWhStockData.nodes.DirectInput>;
	    readonly lineNumber: Promise<integer>;
	    readonly pointerNumber: Promise<integer | null>;
	    readonly referenceNumber: Promise<string>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly multipleProduct: Promise<string>;
	    readonly numberOfConsumptionUnit: Promise<decimal>;
	    readonly numberOfContainers: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly inputContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly supportNumber: Promise<string>;
	    readonly reservationNumber: Promise<string>;
	    readonly lotNumber: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly fifoDate: Promise<date>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly status: Promise<sageWhProductData.enums.InputLineStatus>;
	    readonly numberOfConsumptionUnitStored: Promise<decimal | null>;
	    readonly receipt: Reference<sageWhStockData.nodes.AdministrativeReceipt | null>;
	    readonly receiptLineNumber: Promise<integer | null>;
	    readonly expectedInputLineNumber: Promise<integer | null>;
	    readonly inputLineType: Promise<string>;
	    readonly imposedStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly isExclusiveStore: Promise<boolean>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly isCustomerReturn: Promise<boolean>;
	    readonly receiptMovements: Collection<sageWhStockData.nodes.ReceiptMovement>;
	}
	//# sourceMappingURL=direct-input-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/direct-input-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/direct-input-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DirectInputAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DirectInput>;
	    readonly address: Promise<string>;
	}
	//# sourceMappingURL=direct-input-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhStructure from '@sage/wh-structure';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrder extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly referenceNumber: Promise<string>;
	    readonly status: Promise<sageWhMasterData.enums.DoHeaderStatus | null>;
	    readonly isMergingOfFlows: Promise<boolean>;
	    readonly date: Promise<date>;
	    readonly plannedLaunchDate: Promise<date>;
	    readonly plannedLaunchTime: Promise<string>;
	    readonly expectedDeliveryDate: Promise<date>;
	    readonly expectedDeliveryTime: Promise<string>;
	    readonly orderReference: Promise<string>;
	    readonly orderNumber: Promise<string>;
	    readonly orderDate: Promise<date | null>;
	    readonly soldTo: Promise<string>;
	    readonly customerReference: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode>;
	    readonly partialDelivery: Promise<sageWhMasterData.enums.PartialDeliveryAuthorized | null>;
	    readonly servicePriority: Promise<sageWhMasterData.enums.ServicePriority | null>;
	    readonly isUrgent: Promise<boolean>;
	    readonly originalDeliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	    readonly splittingNumber: Promise<integer | null>;
	    readonly isOutputShortageManagement: Promise<boolean>;
	    readonly isPacking: Promise<sageWhProductData.enums.Packing | null>;
	    readonly isParcelPalletisation: Promise<boolean>;
	    readonly isLoadingOfParcels: Promise<boolean>;
	    readonly isShipmentManagement: Promise<boolean>;
	    readonly shipTo: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly shipToPostalCode: Promise<string>;
	    readonly shipToCity: Promise<string>;
	    readonly shipToCountry: Reference<sageWhStructure.nodes.Country | null>;
	    readonly shipToCountryName: Promise<string>;
	    readonly shipToRegion: Promise<string>;
	    readonly shipToTelephone: Promise<string>;
	    readonly shipToFax: Promise<string>;
	    readonly deliveryArea: Promise<string>;
	    readonly deliveryNotePrintingReport: Reference<sageWhSystem.nodes.GenericPrintReport>;
	    readonly printLanguage: Reference<sageWhSystem.nodes.Language>;
	    readonly shipToCustomerNotes: Promise<string>;
	    readonly round: Reference<sageWhStockData.nodes.Round | null>;
	    readonly genericRound: Reference<sageWhMasterData.nodes.GenericRound | null>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly carriageReference: Promise<string>;
	    readonly transportType: Reference<sageWhMasterData.nodes.TransportType | null>;
	    readonly roundPosition: Promise<integer | null>;
	    readonly billToCustomer: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly billToCountry: Reference<sageWhStructure.nodes.Country | null>;
	    readonly billToCountryName: Promise<string>;
	    readonly billToCity: Promise<string>;
	    readonly billToPostalCode: Promise<string>;
	    readonly billToRegion: Promise<string>;
	    readonly billToTelephone: Promise<string>;
	    readonly billToFax: Promise<string>;
	    readonly billToCustomerNotes: Promise<string>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave | null>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly pickingDate: Promise<date | null>;
	    readonly pickingTime: Promise<string>;
	    readonly packingDate: Promise<date | null>;
	    readonly packingTime: Promise<string>;
	    readonly shipmentDate: Promise<date | null>;
	    readonly shipmentTime: Promise<string>;
	    readonly transmittedFromL3: Promise<sageWhProductData.enums.TransmissionL3 | null>;
	    readonly isCarrierAmountCalculation: Promise<boolean>;
	    readonly priceListCode: Reference<sageWhMasterData.nodes.TariffCode | null>;
	    readonly currency: Reference<sageWhMasterData.nodes.Currency | null>;
	    readonly crossDockingLevel: Promise<sageWhMasterData.enums.CrossDockingBlockingLevel | null>;
	    readonly isCrossDockingManagement: Promise<boolean>;
	    readonly isSsccManagementOnOutput: Promise<boolean>;
	    readonly isShippingUnitSingleDeliveryOrder: Promise<boolean>;
	    readonly isShippingUnitSingleCustomer: Promise<boolean>;
	    readonly shippingUnitType: Reference<sageWhMasterData.nodes.ShippingUnitType | null>;
	    readonly shippingUnitGroup: Promise<string>;
	    readonly lines: Collection<sageWhStockData.nodes.DeliveryOrderLine>;
	    readonly billToAddresses: Collection<sageWhStockData.nodes.DeliveryOrderBillToAddresses>;
	    readonly billToCompanyNames: Collection<sageWhStockData.nodes.DeliveryOrderBillToCompanyNames>;
	    readonly shipToAddresses: Collection<sageWhStockData.nodes.DeliveryOrderShipToAddresses>;
	    readonly shipToCompanyNames: Collection<sageWhStockData.nodes.DeliveryOrderShipToCompanyNames>;
	}
	//# sourceMappingURL=delivery-order.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order-ship-to-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order-ship-to-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrderShipToCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly shipToCompanyName: Promise<string>;
	}
	//# sourceMappingURL=delivery-order-ship-to-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order-ship-to-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order-ship-to-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrderShipToAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly shipToAddress: Promise<string>;
	}
	//# sourceMappingURL=delivery-order-ship-to-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrderLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly lineNumber: Promise<integer>;
	    readonly status: Promise<sageWhProductData.enums.DeliveryOrderLineStatus | null>;
	    readonly pointer: Promise<integer | null>;
	    readonly kitPointer: Promise<integer | null>;
	    readonly referenceNumber: Promise<string>;
	    readonly orderNumber: Promise<string>;
	    readonly lineType: Promise<sageWhProductData.enums.DoLineType | null>;
	    readonly numberOfKit: Promise<decimal | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly quantityOfContainers: Promise<decimal | null>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly numberOfConsumptionUnit: Promise<decimal | null>;
	    readonly quantityTotalShipped: Promise<decimal | null>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly lotNumber: Promise<string>;
	    readonly isSingleLot: Promise<boolean>;
	    readonly supportNumber: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly creationDate: Promise<date | null>;
	    readonly launchedQuantity: Promise<decimal | null>;
	    readonly shortageQuantity: Promise<decimal | null>;
	    readonly preparedQuantity: Promise<decimal | null>;
	    readonly shippedQuantity: Promise<decimal | null>;
	    readonly voidedQuantity: Promise<decimal | null>;
	    readonly transferredQuantity: Promise<decimal | null>;
	    readonly notTransferredQuantity: Promise<decimal | null>;
	    readonly postponedQuantity: Promise<decimal | null>;
	    readonly crossDockingQuantity: Promise<decimal | null>;
	    readonly isCrossDockingManagement: Promise<boolean>;
	    readonly isDirectMovementNotAddressed: Promise<boolean>;
	    readonly isExpectedInputUnderReceipt: Promise<boolean>;
	    readonly comments: Promise<string>;
	    readonly notes: Promise<string>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly waitingToShipDate: Promise<date | null>;
	    readonly waitingToShipTime: Promise<string>;
	    readonly shipmentDate: Promise<date | null>;
	    readonly shipmentTime: Promise<string>;
	    readonly parcelRange: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly groupOfParcel: Promise<string>;
	    readonly maximumLevelDispatchInState: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly isContractDate: Promise<boolean>;
	    readonly outputMovements: Collection<sageWhStockData.nodes.OutputMovement>;
	}
	//# sourceMappingURL=delivery-order-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order-bill-to-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order-bill-to-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrderBillToCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly billToCompanyName: Promise<string>;
	}
	//# sourceMappingURL=delivery-order-bill-to-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-order-bill-to-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-order-bill-to-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryOrderBillToAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly billToAddress: Promise<string>;
	}
	//# sourceMappingURL=delivery-order-bill-to-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhStructure from '@sage/wh-structure';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, decimal, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNote extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly creationDate: Promise<date>;
	    readonly creationTime: Promise<string>;
	    readonly isFinalDeliveryNote: Promise<boolean>;
	    readonly isUpdateDeliveryNote: Promise<boolean>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder>;
	    readonly reference: Promise<string>;
	    readonly orderReference: Promise<string>;
	    readonly orderNumber: Promise<string>;
	    readonly orderDate: Promise<date | null>;
	    readonly soldToCustomer: Promise<string>;
	    readonly customerReference: Promise<string>;
	    readonly pickingMode: Reference<sageWhProductData.nodes.PickingMode>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly partialDeliveryManagement: Promise<sageWhMasterData.enums.PartialDeliveryAuthorized | null>;
	    readonly expectedDeliveryDate: Promise<date>;
	    readonly expectedDeliveryTime: Promise<string>;
	    readonly shipmentDate: Promise<date | null>;
	    readonly shipmentTime: Promise<string>;
	    readonly shipmentSite: Reference<sageWhSystem.nodes.Site | null>;
	    readonly round: Reference<sageWhStockData.nodes.Round | null>;
	    readonly carriageReceipt: Reference<sageWhStockData.nodes.CarriageReceipt | null>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly carriageReference: Promise<string>;
	    readonly freightCharge: Promise<decimal | null>;
	    readonly currency: Reference<sageWhMasterData.nodes.Currency | null>;
	    readonly roundPosition: Promise<integer | null>;
	    readonly genericRound: Reference<sageWhMasterData.nodes.GenericRound | null>;
	    readonly transportType: Reference<sageWhMasterData.nodes.TransportType | null>;
	    readonly deliveryArea: Promise<string>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave>;
	    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea>;
	    readonly shipToCustomer: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly shipToPostalCode: Promise<string>;
	    readonly shipToCity: Promise<string>;
	    readonly shipToCountry: Reference<sageWhStructure.nodes.Country | null>;
	    readonly shipToCountryName: Promise<string>;
	    readonly shipToRegion: Promise<string>;
	    readonly shipToTelephone: Promise<string>;
	    readonly shipToFax: Promise<string>;
	    readonly shipToNotes: Promise<string>;
	    readonly billToCustomer: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly billToPostalCode: Promise<string>;
	    readonly billToCity: Promise<string>;
	    readonly billToCountry: Reference<sageWhStructure.nodes.Country | null>;
	    readonly billToCountryName: Promise<string>;
	    readonly billToRegion: Promise<string>;
	    readonly billToTelephone: Promise<string>;
	    readonly billToFax: Promise<string>;
	    readonly billToNotes: Promise<string>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly numberOfShippingUnit: Promise<integer | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly linearMeters: Promise<decimal | null>;
	    readonly numberOfDeliveryOrderLines: Promise<integer | null>;
	    readonly deliveryNotePrintingReport: Reference<sageWhSystem.nodes.GenericPrintReport>;
	    readonly printLanguage: Reference<sageWhSystem.nodes.Language>;
	    readonly ediManagementStatus: Promise<sageWhProductData.enums.EdiMngtStatus | null>;
	    readonly numberOfParcelsWithoutMessage: Promise<integer | null>;
	    readonly ediManagementLevel: Promise<sageWhProductData.enums.EdiLevel | null>;
	    readonly queryNumber: Promise<integer | null>;
	    readonly billToAddresses: Collection<sageWhStockData.nodes.DeliveryNoteBillToAddresses>;
	    readonly billToCompanyNames: Collection<sageWhStockData.nodes.DeliveryNoteBillToCompanyNames>;
	    readonly numberOfDispatchableParcels: Collection<sageWhStockData.nodes.DeliveryNoteNumberOfDispatchableParcels>;
	    readonly shipToAddresses: Collection<sageWhStockData.nodes.DeliveryNoteShipToAddresses>;
	    readonly shipToCompanyNames: Collection<sageWhStockData.nodes.DeliveryNoteShipToCompanyNames>;
	}
	//# sourceMappingURL=delivery-note.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note-ship-to-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note-ship-to-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNoteShipToCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryNote>;
	    readonly shipToCompanyName: Promise<string>;
	}
	//# sourceMappingURL=delivery-note-ship-to-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note-ship-to-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note-ship-to-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNoteShipToAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryNote>;
	    readonly shipToAddress: Promise<string>;
	}
	//# sourceMappingURL=delivery-note-ship-to-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note-number-of-dispatchable-parcels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note-number-of-dispatchable-parcels' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNoteNumberOfDispatchableParcels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryNote>;
	    readonly numberOfDispatchableParcel: Promise<integer | null>;
	}
	//# sourceMappingURL=delivery-note-number-of-dispatchable-parcels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note-bill-to-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note-bill-to-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNoteBillToCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryNote>;
	    readonly billToCompanyName: Promise<string>;
	}
	//# sourceMappingURL=delivery-note-bill-to-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/delivery-note-bill-to-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/delivery-note-bill-to-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class DeliveryNoteBillToAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.DeliveryNote>;
	    readonly billToAddress: Promise<string>;
	}
	//# sourceMappingURL=delivery-note-bill-to-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/counting.d.ts
declare module '@sage/wh-stock-data/lib/nodes/counting' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class Counting extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount>;
	    readonly code: Promise<integer>;
	    readonly reference: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.InventoryStatus | null>;
	    readonly countingType: Promise<sageWhProductData.enums.CountingType | null>;
	    readonly isProductWithoutStock: Promise<boolean>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly aisle: Promise<string>;
	    readonly row: Promise<string>;
	    readonly isPicking: Promise<boolean>;
	    readonly isReserve: Promise<boolean>;
	    readonly referenceCount1: Reference<sageWhStockData.nodes.Counting | null>;
	    readonly referenceCount2: Reference<sageWhStockData.nodes.Counting | null>;
	    readonly lineInError: Promise<sageWhProductData.enums.InventoryDiscrepancy | null>;
	    readonly comments: Promise<string>;
	    readonly date: Promise<date | null>;
	    readonly closingDate: Promise<date | null>;
	    readonly numberOfLines: Promise<integer | null>;
	}
	//# sourceMappingURL=counting.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/count-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/count-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class CountLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount>;
	    readonly counting: Reference<sageWhStockData.nodes.Counting>;
	    readonly line: Promise<integer | null>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly isInput: Promise<boolean>;
	    readonly sort: Promise<string>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly numberOfContainer: Promise<decimal | null>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly consumptionUnitQuantity: Promise<decimal | null>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly lotNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly originSource: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly rowLevel: Promise<string>;
	    readonly travelSequence: Promise<string>;
	    readonly inventoryDiscrepancy: Promise<sageWhProductData.enums.InventoryDiscrepancy | null>;
	}
	//# sourceMappingURL=count-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/carriage-receipt.d.ts
declare module '@sage/wh-stock-data/lib/nodes/carriage-receipt' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhStructure from '@sage/wh-structure';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, decimal, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class CarriageReceipt extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly deliveryNote: Reference<sageWhStockData.nodes.CarriageNote>;
	    readonly round: Reference<sageWhStockData.nodes.Round>;
	    readonly shipmentDate: Promise<date>;
	    readonly shipmentTime: Promise<string>;
	    readonly linearMeters: Promise<decimal | null>;
	    readonly truckPlacard: Promise<string>;
	    readonly sealNumber: Promise<string>;
	    readonly weight: Promise<decimal | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly numberOfShippingUnits: Promise<integer | null>;
	    readonly numberOfDeliveryNotes: Promise<integer | null>;
	    readonly shipToCustomer: Reference<sageWhMasterData.nodes.Customer | null>;
	    readonly shipToPostalCode: Promise<string>;
	    readonly shipToCity: Promise<string>;
	    readonly shipToCountry: Reference<sageWhStructure.nodes.Country | null>;
	    readonly shipToCountryName: Promise<string>;
	    readonly shipToRegion: Promise<string>;
	    readonly deliveryArea: Promise<string>;
	    readonly freightCharge: Promise<decimal | null>;
	    readonly currency: Reference<sageWhMasterData.nodes.Currency | null>;
	    readonly dockType: Promise<sageWhMasterData.enums.DockManagement>;
	    readonly shipToCompanyNames: Collection<sageWhStockData.nodes.CarriageReceiptShipToCompanyNames>;
	    readonly shiptToAddresses: Collection<sageWhStockData.nodes.CarriageReceiptShiptToAddresses>;
	}
	//# sourceMappingURL=carriage-receipt.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/carriage-receipt-shipt-to-addresses.d.ts
declare module '@sage/wh-stock-data/lib/nodes/carriage-receipt-shipt-to-addresses' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class CarriageReceiptShiptToAddresses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.CarriageReceipt>;
	    readonly shiptToAddress: Promise<string>;
	}
	//# sourceMappingURL=carriage-receipt-shipt-to-addresses.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/carriage-receipt-ship-to-company-names.d.ts
declare module '@sage/wh-stock-data/lib/nodes/carriage-receipt-ship-to-company-names' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class CarriageReceiptShipToCompanyNames extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.CarriageReceipt>;
	    readonly shipToCompanyName: Promise<string>;
	}
	//# sourceMappingURL=carriage-receipt-ship-to-company-names.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/carriage-note.d.ts
declare module '@sage/wh-stock-data/lib/nodes/carriage-note' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, decimal, integer } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class CarriageNote extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly round: Reference<sageWhStockData.nodes.Round>;
	    readonly shipmentDate: Promise<date>;
	    readonly shipmentTime: Promise<string>;
	    readonly linearMeters: Promise<decimal | null>;
	    readonly truckPlacard: Promise<string>;
	    readonly sealNumber: Promise<string>;
	    readonly numberOfCarriageReceipts: Promise<integer | null>;
	    readonly numberOfDeliveryNotes: Promise<integer | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly numberOfShippingUnits: Promise<integer | null>;
	    readonly freightCharge: Promise<decimal | null>;
	    readonly currency: Reference<sageWhMasterData.nodes.Currency | null>;
	    readonly dockType: Promise<sageWhMasterData.enums.DockManagement>;
	}
	//# sourceMappingURL=carriage-note.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/auto-palletization-order.d.ts
declare module '@sage/wh-stock-data/lib/nodes/auto-palletization-order' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AutoPalletizationOrder extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.AutoPalletizationStatus | null>;
	    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	    readonly numberOfShippingUnits: Promise<integer | null>;
	    readonly numberOfParcels: Promise<integer | null>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly wave: Reference<sageWhStockData.nodes.Wave | null>;
	    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly validatingUser: Promise<string>;
	}
	//# sourceMappingURL=auto-palletization-order.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/assembling-wave.d.ts
declare module '@sage/wh-stock-data/lib/nodes/assembling-wave' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer, decimal } from '@sage/xtrem-core';
	export class AssemblingWave extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly type: Promise<sageWhProductData.enums.Type>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly numberOfAssemblyOrders: Promise<integer | null>;
	    readonly numberOfAssemblyOrderLines: Promise<integer | null>;
	    readonly numberOfReserveMovements: Promise<integer | null>;
	    readonly numberOfPickingMovements: Promise<integer | null>;
	    readonly numberOfIncompleteLines: Promise<integer | null>;
	    readonly numberOfReplenishmentMovements: Promise<integer | null>;
	    readonly numberOfTransferOrders: Promise<integer | null>;
	    readonly status: Promise<sageWhProductData.enums.WaveStatus | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly weight: Promise<decimal | null>;
	    readonly numberOfTransferMovements: Promise<integer | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store>;
	    readonly location: Reference<sageWhMasterData.nodes.Location>;
	    readonly isAvailableStock: Promise<boolean>;
	    readonly isPickingStock: Promise<boolean>;
	    readonly isTransferIncomplete: Promise<boolean>;
	    readonly isMissionToBlock: Promise<boolean>;
	    readonly missionPriority: Promise<integer | null>;
	}
	//# sourceMappingURL=assembling-wave.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/assembling-order.d.ts
declare module '@sage/wh-stock-data/lib/nodes/assembling-order' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AssemblingOrder extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly reference: Promise<string>;
	    readonly type: Promise<sageWhProductData.enums.Type>;
	    readonly isUrgent: Promise<boolean>;
	    readonly servicePriority: Promise<sageWhMasterData.enums.ServicePriority | null>;
	    readonly status: Promise<sageWhProductData.enums.AssemblyOrderStatus>;
	    readonly date: Promise<date>;
	    readonly workOrderNumber: Promise<string>;
	    readonly workOrderDate: Promise<date | null>;
	    readonly plannedLaunchDate: Promise<date>;
	    readonly plannedLaunchTime: Promise<string>;
	    readonly plannedEndDate: Promise<date>;
	    readonly plannedEndTime: Promise<string>;
	    readonly transmittedByL3: Promise<sageWhProductData.enums.TransmissionL3 | null>;
	    readonly endProcessingDate: Promise<date | null>;
	    readonly endProcessingTime: Promise<string>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly assemblyWave: Reference<sageWhStockData.nodes.AssemblingWave | null>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly lines: Collection<sageWhStockData.nodes.AssemblingOrderLine>;
	}
	//# sourceMappingURL=assembling-order.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/assembling-order-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/assembling-order-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, date, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AssemblingOrderLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly assemblyOrder: Reference<sageWhStockData.nodes.AssemblingOrder>;
	    readonly lineNumber: Promise<integer>;
	    readonly status: Promise<sageWhProductData.enums.AssemblyOrderStatus | null>;
	    readonly date: Promise<date | null>;
	    readonly reference: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly lotNumber: Promise<string>;
	    readonly lineType: Promise<sageWhProductData.enums.DoLineType | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly numberOfContainer: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly totalQuantity: Promise<decimal>;
	    readonly launchedQuantity: Promise<decimal | null>;
	    readonly shortageQuantity: Promise<decimal | null>;
	    readonly declaredQuantity: Promise<decimal | null>;
	    readonly validatedQuantity: Promise<decimal | null>;
	    readonly launchDate: Promise<date | null>;
	    readonly launchTime: Promise<string>;
	    readonly endProcessingDate: Promise<date | null>;
	    readonly endProcessingTime: Promise<string>;
	    readonly kitDeclaration: Reference<sageWhStockData.nodes.KitDeclaration | null>;
	    readonly numberOfKitQuantity: Promise<decimal | null>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly comments: Promise<string>;
	    readonly notes: Promise<string>;
	    readonly assemblyWave: Reference<sageWhStockData.nodes.AssemblingWave | null>;
	    readonly flowNumber: Promise<integer | null>;
	}
	//# sourceMappingURL=assembling-order-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/assembling-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/assembling-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AssemblingMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly assemblyOrder: Reference<sageWhStockData.nodes.AssemblingOrder | null>;
	    readonly assemblyOrderLineNumber: Promise<integer | null>;
	    readonly assemblyWave: Reference<sageWhStockData.nodes.AssemblingWave>;
	    readonly lineType: Promise<sageWhProductData.enums.DoLineType | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly numberOfContainer: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousContainerCoefficient: Promise<decimal | null>;
	    readonly consumptionUnitQuantity: Promise<decimal>;
	    readonly numberOfKits: Promise<decimal | null>;
	    readonly movementCode: Reference<sageWhMasterData.nodes.MovementCode | null>;
	    readonly lotNumber: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.AssemblyMovementStatus | null>;
	    readonly originSource: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store>;
	    readonly location: Reference<sageWhMasterData.nodes.Location>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
	    readonly replenishment: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly transfer: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly adjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
	    readonly kitDeclaration: Reference<sageWhStockData.nodes.KitDeclaration | null>;
	    readonly isKitTransferAuthorized: Promise<boolean>;
	    readonly flowNumber: Promise<integer | null>;
	    readonly containerNumber: Promise<string>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly homogeneousQuantity: Promise<decimal>;
	    readonly originContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly originQuantity: Promise<decimal | null>;
	    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
	    readonly validatingUser: Promise<string>;
	    readonly postingDate: Promise<date | null>;
	    readonly postingTime: Promise<integer | null>;
	    readonly containerLevels: Collection<sageWhStockData.nodes.AssemblingMovementContainerLevels>;
	}
	//# sourceMappingURL=assembling-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/assembling-movement-container-levels.d.ts
declare module '@sage/wh-stock-data/lib/nodes/assembling-movement-container-levels' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AssemblingMovementContainerLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.AssemblingMovement>;
	    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=assembling-movement-container-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/administrative-receipt.d.ts
declare module '@sage/wh-stock-data/lib/nodes/administrative-receipt' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, integer, decimal, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AdministrativeReceipt extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly carrierAppointment: Reference<sageWhMasterData.nodes.AppointmentManagement | null>;
	    readonly carrier: Reference<sageWhMasterData.nodes.Carrier | null>;
	    readonly carrierName: Promise<string>;
	    readonly carriageReference: Promise<string>;
	    readonly transportationMethod: Reference<sageWhMasterData.nodes.TransportMode | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly dock: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly numberOfLoads: Promise<integer | null>;
	    readonly grossWeight: Promise<decimal | null>;
	    readonly status: Promise<sageWhProductData.enums.ReceiptStatus>;
	    readonly duration: Promise<string>;
	    readonly lines: Collection<sageWhStockData.nodes.AdministrativeReceiptLine>;
	}
	//# sourceMappingURL=administrative-receipt.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/administrative-receipt-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/administrative-receipt-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AdministrativeReceiptMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly receipt: Reference<sageWhStockData.nodes.AdministrativeReceipt>;
	    readonly lineNumber: Promise<integer | null>;
	    readonly receiptMovementNumber: Promise<integer>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly numberOfContainers: Promise<decimal>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly numberOfConsumptionUnit: Promise<decimal>;
	    readonly homogeneousQuantity: Promise<decimal>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	}
	//# sourceMappingURL=administrative-receipt-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/administrative-receipt-line.d.ts
declare module '@sage/wh-stock-data/lib/nodes/administrative-receipt-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AdministrativeReceiptLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly receipt: Reference<sageWhStockData.nodes.AdministrativeReceipt>;
	    readonly expectedInput: Reference<sageWhStockData.nodes.ExpectedInput>;
	    readonly expectedInputLine: Reference<sageWhStockData.nodes.ExpectedInputLine>;
	    readonly splitLineNumber: Promise<integer | null>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly lineNumber: Promise<integer | null>;
	    readonly status: Promise<sageWhProductData.enums.ReceiptLineStatus | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly receivedQuantityInConsumptionUnit: Promise<decimal>;
	    readonly inputContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly lotNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly reservationNumber: Promise<string>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly isExclusiveStore: Promise<boolean>;
	    readonly isDispute: Promise<boolean>;
	    readonly isPutAway: Promise<boolean>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly fifoDate: Promise<date>;
	    readonly administrativeReceiptMovements: Collection<sageWhStockData.nodes.AdministrativeReceiptMovement>;
	}
	//# sourceMappingURL=administrative-receipt-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/adjustment-movement.d.ts
declare module '@sage/wh-stock-data/lib/nodes/adjustment-movement' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date, decimal, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AdjustmentMovement extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly date: Promise<date>;
	    readonly time: Promise<string>;
	    readonly movement: Reference<sageWhMasterData.nodes.MovementCode>;
	    readonly movementType: Promise<sageWhMasterData.enums.AdjustmentType | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly store: Reference<sageWhMasterData.nodes.Store>;
	    readonly location: Reference<sageWhMasterData.nodes.Location>;
	    readonly locationType: Promise<sageWhMasterData.enums.LocationType | null>;
	    readonly stockObject: Reference<sageWhStockData.nodes.StockObject>;
	    readonly containerNumber: Promise<string>;
	    readonly stockObjectLinkNumber: Promise<string>;
	    readonly adjustmentQuantity: Promise<decimal | null>;
	    readonly adjustmentContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly adjustmentConsumptionUnitQuantity: Promise<decimal | null>;
	    readonly level: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
	    readonly counting: Reference<sageWhStockData.nodes.Counting | null>;
	    readonly countingLine: Reference<sageWhStockData.nodes.CountLine | null>;
	    readonly assemblyDeclaration: Reference<sageWhStockData.nodes.KitDeclaration | null>;
	    readonly transfer: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly movementTransfer: Reference<sageWhStockData.nodes.TransferMovement | null>;
	    readonly adjustmentComment: Promise<string>;
	    readonly finalsAndInitialsValues: Collection<sageWhStockData.nodes.AdjustmentMovementFinalsAndInitialsValues>;
	}
	//# sourceMappingURL=adjustment-movement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/nodes/adjustment-movement-finals-and-initials-values.d.ts
declare module '@sage/wh-stock-data/lib/nodes/adjustment-movement-finals-and-initials-values' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import { Node, integer, Reference, decimal, date } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class AdjustmentMovementFinalsAndInitialsValues extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhStockData.nodes.AdjustmentMovement>;
	    readonly consumptionUnitQuantity: Promise<decimal | null>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly homogeneousQuantity: Promise<decimal | null>;
	    readonly container: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly numberOfContainer: Promise<decimal | null>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly originSource: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly reservationNumber: Promise<string>;
	    readonly supportNumber: Promise<string>;
	    readonly lotNumber: Promise<string>;
	    readonly receiptDate: Promise<date | null>;
	    readonly manufacturedDate: Promise<date | null>;
	    readonly sellByDate: Promise<date | null>;
	    readonly shipByDate: Promise<date | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly detentionDate: Promise<date | null>;
	    readonly fifoDate: Promise<date | null>;
	}
	//# sourceMappingURL=adjustment-movement-finals-and-initials-values.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/node-extensions/product-extension.d.ts
declare module '@sage/wh-stock-data/lib/node-extensions/product-extension' {
	import * as sageWhProductData from '@sage/wh-product-data';
	import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class ProductExtension extends NodeExtension<sageWhProductData.nodes.Product> {
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
	    readonly stockObjects: Collection<sageWhStockData.nodes.StockObject>;
	}
	declare module '@sage/wh-product-data/lib/nodes/product' {
	    interface Product extends ProductExtension {
	    }
	}
	//# sourceMappingURL=product-extension.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/node-extensions/location-extension.d.ts
declare module '@sage/wh-stock-data/lib/node-extensions/location-extension' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageWhStockData from '@sage/wh-stock-data/lib/index';
	export class LocationExtension extends NodeExtension<sageWhMasterData.nodes.Location> {
	    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
	    readonly deliveryOrderPivot: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
	}
	declare module '@sage/wh-master-data/lib/nodes/location' {
	    interface Location extends LocationExtension {
	    }
	}
	//# sourceMappingURL=location-extension.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/node-extensions/index.d.ts
declare module '@sage/wh-stock-data/lib/node-extensions/index' {
	export * from '@sage/wh-stock-data/lib/node-extensions/location-extension';
	export * from '@sage/wh-stock-data/lib/node-extensions/product-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/interfaces/index.d.ts
declare module '@sage/wh-stock-data/lib/interfaces/index' {
	export * from '@sage/wh-stock-data/lib/interfaces/environnement';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/interfaces/environnement.d.ts
declare module '@sage/wh-stock-data/lib/interfaces/environnement' {
	export interface StockObjectSelected {
	    code: string;
	    _id: string;
	    details?: any;
	}
	//# sourceMappingURL=environnement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-stock-data/build/lib/enums/index.d.ts
declare module '@sage/wh-stock-data/lib/enums/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/wh-stock-data' {
	export * from '@sage/wh-stock-data/index';
}
