// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/index.d.ts
declare module '@sage/wh-stock/index' {
	export * from '@sage/wh-stock/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/index.d.ts
declare module '@sage/wh-stock/lib/index' {
	export * as enums from '@sage/wh-stock/lib/enums/index';
	export * as interfaces from '@sage/wh-stock/lib/interfaces/index';
	export * as nodeExtensions from '@sage/wh-stock/lib/node-extensions/index';
	export * as nodes from '@sage/wh-stock/lib/nodes/index';
	export * as serviceOptions from '@sage/wh-stock/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/service-options/index.d.ts
declare module '@sage/wh-stock/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/nodes/stock-image.d.ts
declare module '@sage/wh-stock/lib/nodes/stock-image' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal } from '@sage/xtrem-core';
	export class StockImage extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly lotNumber: Promise<string>;
	    readonly quantityInStock: Promise<decimal | null>;
	    readonly quantityInPendingOutput: Promise<decimal | null>;
	    readonly quantityInPendingInput: Promise<decimal | null>;
	    readonly quantityReceivedButNotAddressed: Promise<decimal | null>;
	    readonly quantityPreparedButNotShipped: Promise<decimal | null>;
	    readonly quantityBlocked: Promise<decimal | null>;
	    readonly quantityInReserve: Promise<decimal | null>;
	    readonly quantityBlockedInPendingInput: Promise<decimal | null>;
	    readonly quantityBlockedInPendingOutput: Promise<decimal | null>;
	    readonly quantityReservedPendingInput: Promise<decimal | null>;
	    readonly quantityReservedPendingOutput: Promise<decimal | null>;
	    readonly quantityInBalanceForPreparation: Promise<decimal | null>;
	    readonly quantityReserveToBePrepared: Promise<decimal | null>;
	    readonly quantityExpected: Promise<decimal | null>;
	    readonly quantityInPendingAssembly: Promise<decimal | null>;
	    readonly stockUnit: Reference<sageWhMasterData.nodes.UnitOfMeasure | null>;
	}
	//# sourceMappingURL=stock-image.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/nodes/simplified-stock-count.d.ts
declare module '@sage/wh-stock/lib/nodes/simplified-stock-count' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, date } from '@sage/xtrem-core';
	export class SimplifiedStockCount extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly reference: Promise<string>;
	    readonly status: Promise<sageWhProductData.enums.SimplifiedStockCountStatus | null>;
	    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly closingDate: Promise<date | null>;
	}
	//# sourceMappingURL=simplified-stock-count.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/nodes/simplified-stock-count-line.d.ts
declare module '@sage/wh-stock/lib/nodes/simplified-stock-count-line' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhProductData from '@sage/wh-product-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
	import * as sageWhStock from '@sage/wh-stock/lib/index';
	export class SimplifiedStockCountLine extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly simplifiedStockCount: Reference<sageWhStock.nodes.SimplifiedStockCount>;
	    readonly line: Promise<integer | null>;
	    readonly status: Promise<sageWhProductData.enums.SimplifiedStockCountStatus | null>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly homogeneousQuantity: Promise<decimal>;
	    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly enteredQuantity: Promise<decimal>;
	    readonly pendingInputQuantity: Promise<decimal | null>;
	    readonly pendingOutputQuantity: Promise<decimal | null>;
	    readonly expectedQuantity: Promise<decimal | null>;
	}
	//# sourceMappingURL=simplified-stock-count-line.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/nodes/index.d.ts
declare module '@sage/wh-stock/lib/nodes/index' {
	export * from '@sage/wh-stock/lib/nodes/simplified-stock-count-line';
	export * from '@sage/wh-stock/lib/nodes/simplified-stock-count';
	export * from '@sage/wh-stock/lib/nodes/stock-image';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/node-extensions/index.d.ts
declare module '@sage/wh-stock/lib/node-extensions/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/interfaces/index.d.ts
declare module '@sage/wh-stock/lib/interfaces/index' {
	export * from '@sage/wh-stock/lib/interfaces/arguments';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/interfaces/arguments.d.ts
declare module '@sage/wh-stock/lib/interfaces/arguments' {
	import { ConsumptionUnit } from '@sage/wh-product-data/lib/interfaces';
	import { StockObjectSelected } from '@sage/wh-stock-data/lib/interfaces';
	import { SiteDepositorSelected, StockUnit, StoreLocationSelected } from '@sage/wh-master-data/lib/interfaces';
	/**
	 * OS id and productCode are required to fetch the localized serial numbers.
	 */
	export interface LocalizedSerialNumbersArgs {
	    isViewByStoreLocation?: boolean;
	    _id: string;
	    productCode: string;
	    localizedDescription?: string;
	    depositorSiteSelected: SiteDepositorSelected;
	    stockObjectSelected: StockObjectSelected;
	}
	export interface StockByProductArgsHeader {
	    stockByProductArgs: string;
	}
	export interface StockByProductArgs {
	    isViewByStoreLocation?: boolean;
	    _id: string;
	    productCode: string;
	    localizedDescription?: string;
	    isKeyInLotNumber?: boolean;
	    isKeyInSerialNumber?: boolean;
	    isLocalizedSerialNumberAllowed: boolean;
	    isHazardousMaterials?: boolean;
	    isStockUnitManagement?: boolean;
	    consumptionUnit?: ConsumptionUnit;
	    stockUnit?: StockUnit;
	    siteDepositorSelected: SiteDepositorSelected;
	    storeLocationSelected?: StoreLocationSelected;
	    stockObjectSelected?: StockObjectSelected;
	}
	//# sourceMappingURL=arguments.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/application/wh-stock/build/lib/enums/index.d.ts
declare module '@sage/wh-stock/lib/enums/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/wh-stock' {
	export * from '@sage/wh-stock/index';
}
