import { decimal, Node, Reference } from '@sage/xtrem-core';
import { TestMiscellaneousTable } from './test-miscellaneous-table';
import { TestProduct } from './test-product';
import { TestSite } from './test-site';
/** 4GL code: ITMFACILIT */
export declare class TestProductSite extends Node {
    /** 4GL code: ITMREF */
    readonly product: Reference<TestProduct>;
    /** 4GL code: ITMREF */
    readonly standaloneProduct: Reference<TestProduct>;
    /** 4GL code: ITMDES1 */
    readonly compositeDescription1: Promise<string>;
    /** 4GL code: ITMDES2 */
    readonly compositeDescription2: Promise<string>;
    /** 4GL code: ITMDES3 */
    readonly compositeDescription3: Promise<string>;
    /** 4GL code: ITMWEI */
    readonly compositeProductWeight: Promise<decimal>;
    /** 4GL code: ITMVOU */
    readonly compositeProductVolume: Promise<decimal>;
    /** 4GL code: STOFCY */
    readonly stockSite: Reference<TestSite>;
    /** 4GL code: LOCMGTCOD */
    readonly isLocationManaged: Promise<boolean | null>;
    /** 4GL code: LPNMGTCOD */
    readonly isLicensePlateNumberManaged: Promise<boolean | null>;
    /** 4GL code: PCKFLG */
    readonly isPackingManaged: Promise<boolean | null>;
    /** Composed from this.stockSite.legalCompany.legislation */
    readonly legislation: Reference<TestMiscellaneousTable>;
}
//# sourceMappingURL=test-product-site.d.ts.map