import { AsyncContext, CallbackAsyncContext } from "../../business/asyncContext";
import { AsyncContextXtremRepository } from "../asyncContextXtremRepository";
import { ThirdPartyAsyncContextIdProviderConfig } from "../../business/callbackAsyncContextIdProviderConfig";
export declare class LocalDeveloperAsyncContextProvider extends AsyncContextXtremRepository {
    private readonly contextCache;
    private readonly thirdPartyConfig;
    constructor(thirdPartyConfig?: ThirdPartyAsyncContextIdProviderConfig);
    createAsyncContext(context: AsyncContext): Promise<string>;
    deleteAsyncContext(contextId: string): Promise<void>;
    getAsyncContext(contextId: string): Promise<AsyncContext | undefined>;
    createThirdPartyCallbackAsyncContext(callbackContext: CallbackAsyncContext): Promise<{
        callbackUrl: string;
        id: string;
    }>;
}
